Index: /trunk/SRC/ToBeReviewed/STRING/tostr.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/tostr.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/tostr.pro	(revision 142)
@@ -3,13 +3,12 @@
 ;------------------------------------------------------------
 ;+
-; NAME: tostr (to string)
 ;
-; PURPOSE: convertit un input en un string.
+; @file_comments
+; Convert an input in a string.
 ;
-; CATEGORY: 
+; @categories 
 ;
-; CALLING SEQUENCE: res=tostr(input)
-; 
-; INPUTS: input ne peut pas contenir ou etre de type:
+; @param INPUT {in}{required}
+; input can not contain or be of the type of:
 ;
 ;   Complex floating, structure, Double-precision complex, Pointer, Object
@@ -17,22 +16,16 @@
 ;   Integer, Unsigned 64-bit Integer	
 ;
-; KEYWORD PARAMETERS: none
+; @returns
+; a string
 ;
-; OUTPUTS: un string
+; @restrictions
+; If keywdvalue is an array, it will be convert in a vector.
 ;
-; COMMON BLOCKS:
-;
-; SIDE EFFECTS:
-;
-;   Si un element de input contient un tableau, il sera
-;   convertit en vecteur.
-;
-; RESTRICTIONS:
-;
-;   attention cette fonction comporte des boucles, des if et des cases
-;   ds tous les sens. Elle ne doit donc pas etre utilisee avec des
-;   inputs de grosse taille (avec bcp d''elements et avec des
-;   elements etant de gros tableaux).
-; EXAMPLE:
+; @restrictions
+; Beware, this function has loops, ifs ad cases everywhere. So it can 
+; not be used by big keywords (with a lot of elements which are big 
+; arrays).
+; 
+; @examples
 ;    IDL> help, tostr(1),tostr('a'),tostr(indgen(4)),tostr(['a','jkfjo'])
 ;    <Expression>    STRING    = '1'
@@ -43,6 +36,11 @@
 ;    ['c''est bon','c''est bon']
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      18/10/1999
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
